#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
@Author: Christophe Viroulaud
@Time:   Dimanche 05 Février 2023 23:17
"""

BLOCS = {0: {'nom': 'AIR', 'nom_fr': 'Air', 'donnees': {}}, 1: {'nom': 'STONE', 'nom_fr': 'Roche', 'donnees': {}}, 2: {'nom': 'GRASS', 'nom_fr': 'Herbe', 'donnees': {}}, 3: {'nom': 'DIRT', 'nom_fr': 'Terre', 'donnees': {}}, 4: {'nom': 'COBBLESTONE', 'nom_fr': 'Pierre', 'donnees': {}}, 5: {'nom': 'WOOD_PLANKS', 'nom_fr': 'Planche', 'donnees': {0: {'us': 'Oak', 'fr': 'chêne'}, 1: {'us': 'Spruce', 'fr': 'épicéa'}, 2: {'us': 'Birch', 'fr': 'bouleau'}, 3: {'us': 'Jungle', 'fr': 'jungle'}}}, 6: {'nom': 'SAPLING', 'nom_fr': "Pousse d'arbre", 'donnees': {}}, 7: {'nom': 'BEDROCK', 'nom_fr': 'Bedrock', 'donnees': {}}, 8: {'nom': 'WATER_FLOWING', 'nom_fr': 'Eau', 'donnees': {}}, 9: {'nom': 'WATER_STATIONARY', 'nom_fr': 'Eau stationnaire', 'donnees': {0: {'us': 'the highest', 'fr': 'le plus élevé'}, 1: {'us': 'level 1', 'fr': 'niveau 1'}, 2: {'us': 'level 2', 'fr': 'niveau 2'}, 3: {'us': 'level 3', 'fr': 'niveau 3'}, 4: {'us': 'level 4', 'fr': 'niveau 4'}, 5: {'us': 'level 5', 'fr': 'niveau 5'}, 6: {'us': 'level 6', 'fr': 'niveau 6'}, 7: {'us': 'the lowest', 'fr': 'le plus bas'}}}, 10: {'nom': 'LAVA_FLOWING', 'nom_fr': 'Lave', 'donnees': {}}, 11: {'nom': 'LAVA_STATIONARY', 'nom_fr': 'Lave stationnaire', 'donnees': {0: {'us': 'the highest', 'fr': 'le plus élevé'}, 1: {'us': 'level 1', 'fr': 'niveau 1'}, 2: {'us': 'level 2', 'fr': 'niveau 2'}, 3: {'us': 'level 3', 'fr': 'niveau 3'}, 4: {'us': 'level 4', 'fr': 'niveau 4'}, 5: {'us': 'level 5', 'fr': 'niveau 5'}, 6: {'us': 'level 6', 'fr': 'niveau 6'}, 7: {'us': 'the lowest', 'fr': 'le plus bas'}}}, 12: {'nom': 'SAND', 'nom_fr': 'Sable', 'donnees': {}}, 13: {'nom': 'GRAVEL', 'nom_fr': 'Gravier', 'donnees': {}}, 14: {'nom': 'GOLD_ORE', 'nom_fr': "Minerai d'or", 'donnees': {}}, 15: {'nom': 'IRON_ORE', 'nom_fr': 'Minerai de fer', 'donnees': {}}, 16: {'nom': 'COAL_ORE', 'nom_fr': 'Minerai de charbon', 'donnees': {}}, 17: {'nom': 'WOOD', 'nom_fr': 'Bois', 'donnees': {0: {'us': 'Oak', 'fr': 'chêne - orienté haut-bas'}, 1: {'us': 'Spruce', 'fr': 'épicéa - orienté haut-bas'}, 2: {'us': 'Birch', 'fr': 'bouleau - orienté haut-bas'}, 3: {'us': 'Jungle', 'fr': 'orienté haut-bas'}, 4: {'us': 'Oak', 'fr': 'chêne - orienté est-ouest'}, 5: {'us': 'Spruce', 'fr': 'épicéa - orienté est-ouest'}, 6: {'us': 'Birch', 'fr': 'bouleau - orienté est-ouest'}, 7: {'us': 'Jungle', 'fr': 'orienté est-ouest'}, 8: {'us': 'Oak', 'fr': 'chêne - orienté nord-sud'}, 9: {'us': 'Spruce', 'fr': 'épicéa - orienté nord-sud'}, 10: {'us': 'Birch', 'fr': 'bouleau - orienté nord-sud'}, 11: {'us': 'Jungle', 'fr': 'jungle - orienté nord-sud'}, 12: {'us': 'Oak', 'fr': 'chêne - écorce seule'}, 13: {'us': 'Spruce', 'fr': 'épicéa - écorce seule'}, 14: {'us': 'Birch', 'fr': 'bouleau - écorce seule'}, 15: {'us': 'Jungle', 'fr': 'écorce seule'}}}, 18: {'nom': 'LEAVES', 'nom_fr': 'Feuillage', 'donnees': {1: {'us': 'Oak leaves', 'fr': 'feuillage de chêne'}, 2: {'us': 'Spruce leaves', 'fr': "feuillage d'épicéa"}, 3: {'us': 'Birch leaves', 'fr': 'feuillage de bouleau'}}}, 20: {'nom': 'GLASS', 'nom_fr': 'Verre', 'donnees': {}}, 21: {'nom': 'LAPIS_LAZULI_ORE', 'nom_fr': 'Minerai de lapis-lazuli', 'donnees': {}}, 22: {'nom': 'LAPIS_LAZULI_BLOCK', 'nom_fr': 'Bloc de lapis-lazuli', 'donnees': {}}, 24: {'nom': 'SANDSTONE', 'nom_fr': 'Grès', 'donnees': {0: {'us': 'Sandstone', 'fr': 'grès'}, 1: {'us': 'Chiseled sandstone', 'fr': 'grès gravé'}, 2: {'us': 'Smooth sandstone', 'fr': 'grès poli'}}}, 26: {'nom': 'BED', 'nom_fr': 'Lit', 'donnees': {}}, 30: {'nom': 'COBWEB', 'nom_fr': "Toile d'araignée", 'donnees': {}}, 31: {'nom': 'GRASS_TALL', 'nom_fr': 'Herbe haute', 'donnees': {0: {'us': 'Shrub', 'fr': 'arbuste'}, 1: {'us': 'Grass', 'fr': 'herbe'}, 2: {'us': 'Fern', 'fr': 'fougère'}, 3: {'us': 'Grass', 'fr': "couleur affectée par le biome c'est-à-dire le type de végétation dominante de la région - pas sur le Pi"}}}, 35: {'nom': 'WOOL', 'nom_fr': 'Laine', 'donnees': {0: {'us': 'White', 'fr': 'blanc'}, 1: {'us': 'Orange', 'fr': 'orange'}, 2: {'us': 'Magenta', 'fr': 'magenta'}, 3: {'us': 'Light Blue', 'fr': 'bleu ciel'}, 4: {'us': 'Yellow', 'fr': 'jaune'}, 5: {'us': 'Lime', 'fr': 'vert clair'}, 6: {'us': 'Pink', 'fr': 'rose'}, 7: {'us': 'Grey', 'fr': 'gris'}, 8: {'us': 'Light grey', 'fr': 'gris clair'}, 9: {'us': 'Cyan', 'fr': 'cyan'}, 10: {'us': 'Purple', 'fr': 'violet'}, 11: {'us': 'Blue', 'fr': 'bleu'}, 12: {'us': 'Brown', 'fr': 'marron'}, 13: {'us': 'Green', 'fr': 'vert'}, 14: {'us': 'Red', 'fr': 'rouge'}, 15: {'us': 'Black', 'fr': 'noir'}}}, 37: {'nom': 'FLOWER_YELLOW', 'nom_fr': 'Pissenlit', 'donnees': {}}, 38: {'nom': 'FLOWER_CYAN', 'nom_fr': 'Fleur cyan', 'donnees': {}}, 39: {'nom': 'MUSHROOM_BROWN', 'nom_fr': 'Champignon brun', 'donnees': {}}, 40: {'nom': 'MUSHROOM_RED', 'nom_fr': 'Champignon rouge', 'donnees': {}}, 41: {'nom': 'GOLD_BLOCK', 'nom_fr': "Bloc d'or", 'donnees': {}}, 42: {'nom': 'IRON_BLOCK', 'nom_fr': 'Bloc de fer', 'donnees': {}}, 43: {'nom': 'STONE_SLAB_DOUBLE', 'nom_fr': 'Double dalle', 'donnees': {0: {'us': 'Stone', 'fr': 'roche'}, 1: {'us': 'Sandstone', 'fr': 'grès'}, 2: {'us': 'Wooden', 'fr': 'bois'}, 3: {'us': 'Cobblestone', 'fr': 'pierre'}, 4: {'us': 'Brick', 'fr': 'brique'}, 5: {'us': 'Stone Brick', 'fr': 'pierre taillée'}, 6: {'us': 'Nether Brick', 'fr': 'brique du Nether'}, 7: {'us': 'Quartz', 'fr': 'quartz'}}}, 44: {'nom': 'STONE_SLAB', 'nom_fr': 'Dalle', 'donnees': {0: {'us': 'Stone', 'fr': 'roche'}, 1: {'us': 'Sandstone', 'fr': 'grès'}, 2: {'us': 'Wooden', 'fr': 'bois'}, 3: {'us': 'Cobblestone', 'fr': 'pierre'}, 4: {'us': 'Brick', 'fr': 'brique'}, 5: {'us': 'Stone Brick', 'fr': 'pierre taillée'}, 6: {'us': 'Nether Brick', 'fr': 'brique du Nether'}, 7: {'us': 'Quartz', 'fr': 'quartz'}}}, 45: {'nom': 'BRICK_BLOCK', 'nom_fr': "Bloc de brique d'argile", 'donnees': {}}, 46: {'nom': 'TNT', 'nom_fr': 'TNT', 'donnees': {0: {'us': 'Inactive', 'fr': 'Inactif'}, 1: {'us': 'Ready to blow', 'fr': 'Prêt à exploser'}}}, 47: {'nom': 'BOOKSHELF', 'nom_fr': 'Bibliothèque', 'donnees': {}}, 48: {'nom': 'MOSS_STONE', 'nom_fr': 'Pierre moussue', 'donnees': {}}, 49: {'nom': 'OBSIDIAN', 'nom_fr': 'Obsidienne', 'donnees': {}}, 50: {'nom': 'TORCH', 'nom_fr': 'Torche', 'donnees': {1: {'us': 'Pointing east', 'fr': "vers l'est"}, 2: {'us': 'Pointing west', 'fr': "vers l'ouest"}, 3: {'us': 'Pointing south', 'fr': 'vers le sud'}, 4: {'us': 'Pointing north', 'fr': 'vers le nord'}, 5: {'us': 'Facing up', 'fr': 'vers le haut'}}}, 51: {'nom': 'FIRE', 'nom_fr': 'Feu', 'donnees': {}}, 53: {'nom': 'STAIRS_WOOD', 'nom_fr': 'Escalier de bois', 'donnees': {0: {'us': 'Ascending east', 'fr': "montant vers l'est"}, 1: {'us': 'Ascending west', 'fr': "montant vers l'ouest"}, 2: {'us': 'Ascending south', 'fr': 'montant vers le sud'}, 3: {'us': 'Ascending north', 'fr': 'montant vers le nord'}, 4: {'us': 'Ascending east (upside down)', 'fr': "montant vers l'est (à l'envers)"}, 5: {'us': 'Ascending west (upside down)', 'fr': "montant vers l'ouest (à l'envers)"}, 6: {'us': 'Ascending south (upside down)', 'fr': "montant vers le sud (à l'envers)"}, 7: {'us': 'Ascending north (upside down)', 'fr': "montant vers le nord (à l'envers)"}}}, 54: {'nom': 'CHEST', 'nom_fr': 'Coffre', 'donnees': {}}, 56: {'nom': 'DIAMOND_ORE', 'nom_fr': 'Minerai de diamant', 'donnees': {}}, 57: {'nom': 'DIAMOND_BLOCK', 'nom_fr': 'Bloc de diamant', 'donnees': {}}, 58: {'nom': 'CRAFTING_TABLE', 'nom_fr': 'Établi', 'donnees': {}}, 60: {'nom': 'FARMLAND', 'nom_fr': 'Terre labourée', 'donnees': {}}, 61: {'nom': 'FURNACE_INACTIVE', 'nom_fr': 'Fourneau', 'donnees': {}}, 62: {'nom': 'FURNACE_ACTIVE', 'nom_fr': 'Fourneau en utilisation', 'donnees': {}}, 64: {'nom': 'DOOR_WOOD', 'nom_fr': 'Porte en bois', 'donnees': {}}, 65: {'nom': 'LADDER', 'nom_fr': 'Échelle', 'donnees': {}}, 67: {'nom': 'STAIRS_COBBLESTONE', 'nom_fr': 'Escalier de pierre', 'donnees': {0: {'us': 'Ascending east', 'fr': "montant vers l'est"}, 1: {'us': 'Ascending west', 'fr': "montant vers l'ouest"}, 2: {'us': 'Ascending south', 'fr': 'montant vers le sud'}, 3: {'us': 'Ascending north', 'fr': 'montant vers le nord'}, 4: {'us': 'Ascending east (upside down)', 'fr': "montant vers l'est (à l'envers)"}, 5: {'us': 'Ascending west (upside down)', 'fr': "montant vers l'ouest (à l'envers)"}, 6: {'us': 'Ascending south (upside down)', 'fr': "montant vers le sud (à l'envers)"}, 7: {'us': 'Ascending north (upside down)', 'fr': "montant vers le nord (à l'envers)"}}}, 71: {'nom': 'DOOR_IRON', 'nom_fr': 'Porte en fer', 'donnees': {}}, 73: {'nom': 'REDSTONE_ORE', 'nom_fr': 'Minerai de redstone', 'donnees': {}}, 78: {'nom': 'SNOW', 'nom_fr': 'Neige', 'donnees': {}}, 79: {'nom': 'ICE', 'nom_fr': 'Glace', 'donnees': {}}, 80: {'nom': 'SNOW_BLOCK', 'nom_fr': 'Bloc de neige', 'donnees': {0: {'us': 'the lowest', 'fr': 'le plus bas'}, 1: {'us': 'level 1', 'fr': 'niveau 1'}, 2: {'us': 'level 2', 'fr': 'niveau 2'}, 3: {'us': 'level 3', 'fr': 'niveau 3'}, 4: {'us': 'level 4', 'fr': 'niveau 4'}, 5: {'us': 'level 5', 'fr': 'niveau 5'}, 6: {'us': 'level 6', 'fr': 'niveau 6'}, 7: {'us': 'the highest', 'fr': ' le plus élevé'}}}, 81: {'nom': 'CACTUS', 'nom_fr': 'Cactus', 'donnees': {}}, 82: {'nom': 'CLAY', 'nom_fr': "Bloc d'argile", 'donnees': {}}, 83: {'nom': 'SUGAR_CANE', 'nom_fr': 'Canne à sucre', 'donnees': {}}, 85: {'nom': 'FENCE', 'nom_fr': 'Barrière', 'donnees': {}}, 89: {'nom': 'GLOWSTONE_BLOCK', 'nom_fr': 'Bloc de glowstone', 'donnees': {}}, 95: {'nom': 'BEDROCK_INVISIBLE', 'nom_fr': 'Bedrock invisible', 'donnees': {}}, 98: {'nom': 'STONE_BRICK', 'nom_fr': 'Brique de pierre', 'donnees': {0: {'us': 'Stone brick', 'fr': 'pierre taillée'}, 1: {'us': 'Mossy stone brick', 'fr': 'pierre taillée moussue'}, 2: {'us': 'Cracked stone brick', 'fr': 'pierre taillée craquelée'}, 3: {'us': 'Chiseled stone brick', 'fr': 'pierre sculptée'}}}, 102: {'nom': 'GLASS_PANE', 'nom_fr': 'Vitre', 'donnees': {}}, 103: {'nom': 'MELON', 'nom_fr': 'Bloc de pastèque', 'donnees': {}}, 107: {'nom': 'FENCE_GATE', 'nom_fr': 'Portillon', 'donnees': {2: {'us': 'To the north', 'fr': 'Vers le nord'}, 3: {'us': 'To the south', 'fr': 'Vers le sud'}, 4: {'us': 'To the west', 'fr': "Vers l'ouest"}, 5: {'us': 'To the east', 'fr': "Vers l'est"}}}, 246: {'nom': 'GLOWING_OBSIDIAN', 'nom_fr': 'Obsidienne flamboyante', 'donnees': {}}, 247: {'nom': 'NETHER_REACTOR_CORE', 'nom_fr': 'Cœur de réacteur du Nether', 'donnees': {0: {'us': 'Not used', 'fr': 'Non utilisé'}, 1: {'us': 'Active', 'fr': 'Actif'}, 2: {'us': 'Stopped/end of life', 'fr': 'Arrêté/en fin de vie'}}}}
